%global momorel 1

Name: x265
Version: 2.9
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
Summary: x265 HEVC High Efficiency Video Coding H.265 Encoder
Source0: https://bitbucket.org/multicoreware/x265/downloads/x265_%{version}.tar.gz
NoSource: 0
URL: http://x265.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nasm, yasm >= 1.3, cmake

%description
Utility and library for encoding H265/HEVC video streams, completely
written from scratch.

%package devel
Group: Applications/Multimedia
Summary: Development files for the x265 library
Requires: %{name} = %{version}

%description devel
This package contains the files required to develop programs that will encode H.265/HEVC video streams using the x265 library.

%prep
#%%setup -q -n %{name}_v%{version}
%setup -q -n %{name}_%{version}

%build
pushd source

cmake .
%make

%install
rm -rf %{buildroot}

pushd source
make install DESTDIR=%{buildroot}/

mv %{buildroot}/usr/local/bin %{buildroot}/usr/
mv %{buildroot}/usr/local/include %{buildroot}/usr/
mv %{buildroot}/usr/local/lib %{buildroot}/usr/%{_lib}
rm -f %{buildroot}/usr/%{_lib}/*.la %{buildroot}/usr/%{_lib}/*.a
rmdir %{buildroot}/usr/local/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc COPYING doc
%{_bindir}/x265
%{_libdir}/libx265.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/x265.pc
%{_includedir}/x265.h
%{_includedir}/x265_config.h

%changelog
* Sun Oct 07 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.9-1m)
- update 2.9

* Mon Jun 11 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.8-1m)
- update 2.8

* Sat Mar 31 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7-1m)
- update 2.7

* Mon Dec 11 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6-1m)
- update 2.6

* Thu Jul 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5-1m)
- update 2.5

* Mon Jun 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4-2m)
- update 2.4-20170603
-- add any AVX2 function

* Mon May 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4-1m)
- update 2.4

* Tue Feb 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3-1m)
- update 2.3

* Mon Jan 02 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2-1m)
- update 2.2

* Fri Sep 30 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1-1m)
- update 2.1

* Fri Aug 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-1m)
- update 2.0

* Mon Jun 27 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9-2m)
- update 1.9-20160627

* Tue Feb 02 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9-1m)
- update 1.9

* Tue Oct 13 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8-1m)
- update 1.8

* Thu May 28 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7-1m)
- update 1.7

* Sun Apr  4 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6-1m)
- update 1.6

* Sun Mar 21 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-2m)
- update 1.5-20150321

* Sun Feb 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-1m)
- update 1.5

* Wed Feb 04 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-0.9275-1m)
- Initial commit MomongaLinux 

